> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# everymonth

> MDO provider for the hard-coded list of day month in the recurrence dialog.

## "everymonth" MDO List

MDO provider for the hard-coded list of day month in the recurrence dialog.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.RecurrenceEveryMonthProvider">RecurrenceEveryMonthProvider</see> class.
The name of the MDO list is 'everymonth'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/everymonth
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("everymonth", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                      | StyleHint          | ExtraInfo |
| -- | ------------------------- | ------------------ | --------- |
| 1  | of every \$month month(s) | replacekey=\$month | 1         |
| 2  | of every \$month month(s) | replacekey=\$month | 2         |
| 3  | of every \$month month(s) | replacekey=\$month | 3         |
| 4  | of every \$month month(s) | replacekey=\$month | 4         |
| 5  | of every \$month month(s) | replacekey=\$month | 5         |
| 6  | of every \$month month(s) | replacekey=\$month | 6         |
| 7  | of every \$month month(s) | replacekey=\$month | 7         |
| 8  | of every \$month month(s) | replacekey=\$month | 8         |
| 9  | of every \$month month(s) | replacekey=\$month | 9         |
| 10 | of every \$month month(s) | replacekey=\$month | 10        |
| 11 | of every \$month month(s) | replacekey=\$month | 11        |
| 12 | of every \$month month(s) | replacekey=\$month | 12        |

## Related MDO Lists

* "everymonthheadings"
* "everymonthheadingswithallitem"
* "everymonthheadingswithallitemwithnoselection"
* "everymonthheadingswithnoselection"
* "everymonthwithallitem"
* "everymonthwithallitemwithnoselection"
* "everymonthwithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
